<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Processors/Linker/Linker.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Processors.Linker.Linker</title>
<link href="../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../Synopsis.html" >Synopsis</a>.<a href="../../Processors.html" >Processors</a>.<a href="../Linker.html" >Linker</a>
</div><div class="class-name">class Linker

</div><div class="links"><div class="file">File: <a href="../../../../File/Synopsis/Processors/Linker.py.html" target="detail">../Synopsis/Processors/Linker.py</a></div> <div class="xref"><a href="../../../../XRef/xref24.html#Synopsis.Processors.Linker.Linker" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Linker.py.html#line14" ><img src="../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="Linker-inheritance" src="Linker-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Linker-inheritance_map" />
<map name="Linker-inheritance_map"></map>
 <div class="doc">Visitor that removes duplicate declarations</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Class attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="remove_empty_modules">remove_empty_modules</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Linker.py.html#line17" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="sort_modules">sort_modules</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Linker.py.html#line18" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="sxr_prefix">sxr_prefix</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Linker.py.html#line19" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="visit_declaration">visit_declaration</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Linker.py.html#line305" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="visit_forward">visit_forward</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Linker.py.html#line306" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="visit_enum">visit_enum</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Linker.py.html#line307" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="visit_operation">visit_operation</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Linker.py.html#line323" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="process">process</a>(<span class="variable">self</span>, <span class="variable">ir</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">kwds</span>)  </div> <div class="xref"><a href="../../../../XRef/xref24.html#Synopsis.Processors.Linker.Linker.process" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Linker.py.html#line21" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Linker.html#lookup" >lookup</a></span>(<span class="variable">self</span>, <span class="variable">name</span>)  </div> <div class="xref"><a href="../../../../XRef/xref24.html#Synopsis.Processors.Linker.Linker.lookup" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Linker.py.html#line68" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Linker.html#append" >append</a></span>(<span class="variable">self</span>, <span class="variable">declaration</span>)  </div> <div class="xref"><a href="../../../../XRef/xref24.html#Synopsis.Processors.Linker.Linker.append" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Linker.py.html#line74" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Linker.html#push" >push</a></span>(<span class="variable">self</span>, <span class="variable">scope</span>)  </div> <div class="xref"><a href="../../../../XRef/xref24.html#Synopsis.Processors.Linker.Linker.push" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Linker.py.html#line80" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Linker.html#pop" >pop</a></span>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../XRef/xref24.html#Synopsis.Processors.Linker.Linker.pop" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Linker.py.html#line87" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="top">top</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../XRef/xref24.html#Synopsis.Processors.Linker.Linker.top" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Linker.py.html#line93" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="top_dict">top_dict</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../XRef/xref24.html#Synopsis.Processors.Linker.Linker.top_dict" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Linker.py.html#line97" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Linker.html#link_type" >link_type</a></span>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../XRef/xref24.html#Synopsis.Processors.Linker.Linker.link_type" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Linker.py.html#line101" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_builtin_type_id">visit_builtin_type_id</a>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../XRef/xref24.html#Synopsis.Processors.Linker.Linker.visit_builtin_type_id" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Linker.py.html#line110" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_unknown_type_id">visit_unknown_type_id</a>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../XRef/xref24.html#Synopsis.Processors.Linker.Linker.visit_unknown_type_id" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Linker.py.html#line115" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_declared_type_id">visit_declared_type_id</a>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../XRef/xref24.html#Synopsis.Processors.Linker.Linker.visit_declared_type_id" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Linker.py.html#line120" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_template_id">visit_template_id</a>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../XRef/xref24.html#Synopsis.Processors.Linker.Linker.visit_template_id" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Linker.py.html#line127" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_modifier_type_id">visit_modifier_type_id</a>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../XRef/xref24.html#Synopsis.Processors.Linker.Linker.visit_modifier_type_id" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Linker.py.html#line148" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_array_type_id">visit_array_type_id</a>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../XRef/xref24.html#Synopsis.Processors.Linker.Linker.visit_array_type_id" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Linker.py.html#line155" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_parametrized_type_id">visit_parametrized_type_id</a>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../XRef/xref24.html#Synopsis.Processors.Linker.Linker.visit_parametrized_type_id" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Linker.py.html#line162" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_function_type_id">visit_function_type_id</a>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../XRef/xref24.html#Synopsis.Processors.Linker.Linker.visit_function_type_id" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Linker.py.html#line170" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Linker.html#visit_source_file" >visit_source_file</a></span>(<span class="variable">self</span>, <span class="variable">file</span>)  </div> <div class="xref"><a href="../../../../XRef/xref24.html#Synopsis.Processors.Linker.Linker.visit_source_file" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Linker.py.html#line180" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_module">visit_module</a>(<span class="variable">self</span>, <span class="variable">module</span>)  </div> <div class="xref"><a href="../../../../XRef/xref24.html#Synopsis.Processors.Linker.Linker.visit_module" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Linker.py.html#line203" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_group">visit_group</a>(<span class="variable">self</span>, <span class="variable">group</span>)  </div> <div class="xref"><a href="../../../../XRef/xref24.html#Synopsis.Processors.Linker.Linker.visit_group" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Linker.py.html#line225" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Linker.html#merge_comments" >merge_comments</a></span>(<span class="variable">self</span>, <span class="variable">metamodule</span>, <span class="variable">module</span>)  </div> <div class="xref"><a href="../../../../XRef/xref24.html#Synopsis.Processors.Linker.Linker.merge_comments" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Linker.py.html#line243" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Append the module comments into the metamodule.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_meta_module">visit_meta_module</a>(<span class="variable">self</span>, <span class="variable">module</span>)  </div> <div class="xref"><a href="../../../../XRef/xref24.html#Synopsis.Processors.Linker.Linker.visit_meta_module" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Linker.py.html#line254" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Linker.html#add_declaration" >add_declaration</a></span>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../XRef/xref24.html#Synopsis.Processors.Linker.Linker.add_declaration" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Linker.py.html#line273" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Adds a declaration to the current &#40;top&#41; scope.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Linker.html#visit_builtin" >visit_builtin</a></span>(<span class="variable">self</span>, <span class="variable">builtin</span>)  </div> <div class="xref"><a href="../../../../XRef/xref24.html#Synopsis.Processors.Linker.Linker.visit_builtin" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Linker.py.html#line294" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_named_type">visit_named_type</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../XRef/xref24.html#Synopsis.Processors.Linker.Linker.visit_named_type" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Linker.py.html#line299" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_function">visit_function</a>(<span class="variable">self</span>, <span class="variable">func</span>)  </div> <div class="xref"><a href="../../../../XRef/xref24.html#Synopsis.Processors.Linker.Linker.visit_function" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Linker.py.html#line309" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_variable">visit_variable</a>(<span class="variable">self</span>, <span class="variable">var</span>)  </div> <div class="xref"><a href="../../../../XRef/xref24.html#Synopsis.Processors.Linker.Linker.visit_variable" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Linker.py.html#line325" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_typedef">visit_typedef</a>(<span class="variable">self</span>, <span class="variable">tdef</span>)  </div> <div class="xref"><a href="../../../../XRef/xref24.html#Synopsis.Processors.Linker.Linker.visit_typedef" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Linker.py.html#line333" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_class">visit_class</a>(<span class="variable">self</span>, <span class="variable">class_</span>)  </div> <div class="xref"><a href="../../../../XRef/xref24.html#Synopsis.Processors.Linker.Linker.visit_class" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Linker.py.html#line340" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_inheritance">visit_inheritance</a>(<span class="variable">self</span>, <span class="variable">parent</span>)  </div> <div class="xref"><a href="../../../../XRef/xref24.html#Synopsis.Processors.Linker.Linker.visit_inheritance" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Linker.py.html#line370" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_parameter">visit_parameter</a>(<span class="variable">self</span>, <span class="variable">param</span>)  </div> <div class="xref"><a href="../../../../XRef/xref24.html#Synopsis.Processors.Linker.Linker.visit_parameter" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Linker.py.html#line391" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_const">visit_const</a>(<span class="variable">self</span>, <span class="variable">const</span>)  </div> <div class="xref"><a href="../../../../XRef/xref24.html#Synopsis.Processors.Linker.Linker.visit_const" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Linker.py.html#line397" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="lookup">lookup</a>(<span class="variable">self</span>, <span class="variable">name</span>)  </div> <div class="xref"><a href="../../../../XRef/xref24.html#Synopsis.Processors.Linker.Linker.lookup" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Linker.py.html#line68" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">look whether the current scope already contains
      a declaration with the given name</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="append">append</a>(<span class="variable">self</span>, <span class="variable">declaration</span>)  </div> <div class="xref"><a href="../../../../XRef/xref24.html#Synopsis.Processors.Linker.Linker.append" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Linker.py.html#line74" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">append declaration to the current scope</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="push">push</a>(<span class="variable">self</span>, <span class="variable">scope</span>)  </div> <div class="xref"><a href="../../../../XRef/xref24.html#Synopsis.Processors.Linker.Linker.push" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Linker.py.html#line80" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">push new scope on the stack</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="pop">pop</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../XRef/xref24.html#Synopsis.Processors.Linker.Linker.pop" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Linker.py.html#line87" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">restore the previous scope</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="link_type">link_type</a>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../XRef/xref24.html#Synopsis.Processors.Linker.Linker.link_type" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Linker.py.html#line101" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Returns the same or new proxy type</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_source_file">visit_source_file</a>(<span class="variable">self</span>, <span class="variable">file</span>)  </div> <div class="xref"><a href="../../../../XRef/xref24.html#Synopsis.Processors.Linker.Linker.visit_source_file" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Linker.py.html#line180" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Resolves any duplicates in the list of declarations from this
      file</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="merge_comments">merge_comments</a>(<span class="variable">self</span>, <span class="variable">metamodule</span>, <span class="variable">module</span>)  </div> <div class="xref"><a href="../../../../XRef/xref24.html#Synopsis.Processors.Linker.Linker.merge_comments" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Linker.py.html#line243" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Append the module comments into the metamodule.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="add_declaration">add_declaration</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../XRef/xref24.html#Synopsis.Processors.Linker.Linker.add_declaration" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Linker.py.html#line273" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Adds a declaration to the current &#40;top&#41; scope.
      If there is already a Forward declaration&#44; then this replaces it
      unless this is also a Forward.
      </div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_builtin">visit_builtin</a>(<span class="variable">self</span>, <span class="variable">builtin</span>)  </div> <div class="xref"><a href="../../../../XRef/xref24.html#Synopsis.Processors.Linker.Linker.visit_builtin" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Linker.py.html#line294" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">preserve builtins unconditionally</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:26:58 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
